## muttdown 0.2

=== requirements.txt ===
Markdown>=2.0
PyYAML>=3.0
pynliner==0.5.2

=== debian/changelog ===
muttdown (0.2-1) unstable; urgency=medium

  * Initial release (Closes: #859735)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 07 Apr 2017 00:12:54 +0800

=== debian/control ===
Source: muttdown
Section: contrib/mail
Priority: optional
Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python-pip, python-pynliner, python-markdown, python-yaml, python-nose
Standards-Version: 3.9.8
Homepage: https://github.com/Roguelazer/muttdown
X-Python-Version: >= 2.6
Vcs-Git: https://anonscm.debian.org/git/collab-maint/muttdown.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/muttdown.git/

Package: muttdown
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Compiles annotated text mail into html using the Markdown standard
 muttdown is a sendmail-replacement designed for use with the mutt email
 client which will transparently compile annotated text/plain mail into
 text/html using the Markdown standard.
 It will recursively walk the MIME tree and compile any text/plain or
 text/markdown part which begins with the sigil "!m" into Markdown,
 which it will insert alongside the original in a multipart/alternative container.
 .
 It's also smart enough not to break multipart/signed

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=muttdown

%:
	dh $@ --with python2 --buildsystem=pybuild

## muttdown 0.3.3

=== debian/changelog ===
muttdown (0.3.3-1) unstable; urgency=medium

  * [fb6862] New upstream version 0.3.3
  * [6523a6] Bump standards-version to 4.3.0, no changes were needed

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sat, 29 Dec 2018 01:28:01 +0800

muttdown (0.3.2-1) unstable; urgency=medium

  * [887481] New upstream version 0.3.2
  * [bb250a] Packaging moved under the umbrella of the PAPT
  * [44832a] Update copyright years
  * [009aa8] Remove .pytest_cache in dh_clean

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 12 Dec 2018 10:58:38 +0800

muttdown (0.3.1-2) unstable; urgency=medium

  * [524aea] Shorten the Description to fit 80 chars

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 28 Sep 2018 07:04:54 +0000

muttdown (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * Add a man page for muttdown, thanks Stephen Gelman <ssgelm@gmail.com>
    (Closes: #906524)
  * Clarify why muttdown is in contrib (Closes: #860060)
  * [c4c45c] Ship a python3 package instead of python2
  * [fd44ad] Bump standards-version to 4.2.1, no changes were needed
  * [ad69de] Drop deps-versions patch
  * [46ed40] Change Vcs-* fields to point to salsa.debian.org
  * [212b39] Run muttdown --help as autopkgtest
  * [c2ba9c] Install the manpage
  * [453b93] Increase the compat level to 11
  * [875193] Update README.source

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sat, 22 Sep 2018 18:26:00 +0800

=== debian/control ===
Source: muttdown
Section: contrib/mail
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, python3-pip, python3-pynliner, python3-markdown, python3-yaml, python3-nose, python3-pytest, python3
Standards-Version: 4.3.0
Homepage: https://github.com/Roguelazer/muttdown
Vcs-Git: https://salsa.debian.org/python-team/applications/muttdown.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/muttdown

Package: muttdown
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: ${python3:Recommends}, ${misc:Recommends}
Description: Compiles annotated text mail into html using the Markdown standard
 muttdown is a sendmail-replacement designed for use with the mutt email
 client which will transparently compile annotated text/plain mail into
 text/html using the Markdown standard.
 It will recursively walk the MIME tree and compile any text/plain or
 text/markdown part which begins with the sigil "!m" into Markdown,
 which it will insert alongside the original in a
 multipart/alternative container.
 .
 It's also smart enough not to break multipart/signed

=== debian/tests/control ===
Tests: run-muttdown--help
Depends: @

## muttdown 0.3.4

=== debian/changelog ===
muttdown (0.3.4-1) unstable; urgency=medium

  * [8824d5] New upstream version 0.3.4
  * [e16e96] Add python3-pytest-mock build dependency

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 06 Mar 2019 14:25:43 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
-Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, python3-pip, python3-pynliner, python3-markdown, python3-yaml, python3-nose, python3-pytest, python3
+Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, python3-pip, python3-pynliner, python3-markdown, python3-yaml, python3-nose, python3-pytest, python3, python3-pytest-mock
 Standards-Version: 4.3.0
 Homepage: https://github.com/Roguelazer/muttdown
 Vcs-Git: https://salsa.debian.org/python-team/applications/muttdown.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=muttdown

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .pytest_cache

## muttdown 0.3.5

=== debian/changelog ===
muttdown (0.3.5-2) unstable; urgency=medium

  * Rebuild to enter testing.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 13 Dec 2021 08:35:17 +0100

muttdown (0.3.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ gustavo panizzo ]
  * [49891e] Update build dependencies (Closes: 999642)
  * [d49944] Bump standards-version to 4.6.0.1, no changes were needed
  * [32fa35] Increase the compat level to 13
  * [8cc01c] Update the copyright year to 2021
  * [9e772a] Add Rules-Requires-Root: no
  * [e08cdc] Add an upstream metadata file
  * [362d56] Mark tests as superficial


 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 15 Nov 2021 20:31:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: muttdown
 Section: contrib/mail
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
-Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, python3-pip, python3-pynliner, python3-markdown, python3-yaml, python3-nose, python3-pytest, python3, python3-pytest-mock
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-pip, python3-pynliner, python3-markdown, python3-yaml, python3-nose, python3-pytest, python3, python3-six, python3-pytest-mock
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/Roguelazer/muttdown
-Vcs-Git: https://salsa.debian.org/python-team/applications/muttdown.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/muttdown
+Vcs-Git: https://salsa.debian.org/python-team/packages/muttdown.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/muttdown
+Rules-Requires-Root: no
 
 Package: muttdown
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/muttdown-?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/Roguelazer/muttdown/tags .*/muttdown-?(\d\S+)\.tar\.gz

## muttdown 0.4.0

=== debian/changelog ===
muttdown (0.4.0-4) unstable; urgency=medium

  * Package is not autobuildable, upload bin package

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Nov 2025 19:36:11 +0100

muttdown (0.4.0-3) unstable; urgency=medium

  * Adopt package inside Debian Python Team (Closes: #1114582)
  * Bump standards-version to 4.7.2, no changes were needed
  * Patch-out usage of python3-six
  * Drop "Rules-Requires-Root: no": it is now the default
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Nov 2025 18:40:00 +0100

muttdown (0.4.0-2) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.4.0
  * Remove extraneous dependency on python3-nose (Closes: #1018415)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 21 May 2024 20:27:12 +0200

=== debian/control ===
Source: muttdown
Section: contrib/mail
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-all,
 python3-markdown,
 python3-pip,
 python3-pynliner,
 python3-pytest,
 python3-pytest-mock,
 python3-setuptools,
 python3-yaml,
Standards-Version: 4.7.2
Homepage: https://github.com/Roguelazer/muttdown
Vcs-Git: https://salsa.debian.org/python-team/packages/muttdown.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/muttdown

Package: muttdown
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${misc:Recommends},
 ${python3:Recommends},
Description: Compiles annotated text mail into html using the Markdown standard
 muttdown is a sendmail-replacement designed for use with the mutt email
 client which will transparently compile annotated text/plain mail into
 text/html using the Markdown standard.
 It will recursively walk the MIME tree and compile any text/plain or
 text/markdown part which begins with the sigil "!m" into Markdown,
 which it will insert alongside the original in a
 multipart/alternative container.
 .
 It's also smart enough not to break multipart/signed

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME=muttdown

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_clean:
	rm -rf .pytest_cache

=== debian/tests/control ===
Tests:
 run-muttdown--help,
Restrictions:
 superficial,
Depends:
 @,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: Roguelazer
Project: muttdown
